<mat-card>
  <mat-card-content>
    <h2 class="form-signin-heading">Přihlásit se</h2>
    <form [formGroup]="form" (ngSubmit)="onSubmit()">

        <p>
          <mat-error *ngIf="loginResult && !loginResult.success">
            <strong>CHYBA</strong>: {{loginResult.message}}
          </mat-error>
        </p>
        <br/>

        <mat-form-field>
          <input matInput formControlName="username" required placeholder="Přihlašovací jméno">
          <mat-error *ngFor="let error of getErrors(form.get('username')!,'Přihlašovací jméno')">
              {{error}}
          </mat-error>

        </mat-form-field>
        <mat-form-field>
        <input matInput type="password" formControlName="password" placeholder="Heslo" required>
          <mat-error *ngFor="let error of getErrors(form.get('password')!, 'Heslo')">
            {{error}}
          </mat-error>
        </mat-form-field>
        <div class="error">{{err[0]}}</div>
        <a [routerLink]="['/register']" class="buttons">Nemáte účet? Zaregistrujte se!</a>
        <div class="buttons">
          <button mat-flat-button color="primary" type="submit">Přihlásit se</button>
        </div>
    </form>

  </mat-card-content>
</mat-card>
